<p id="notice"><%= notice %></p>

<h1>Posts</h1>
<%= link_to 'New Post', new_post_path %>
<%= link_to 'Error', error_posts_path %>
<%= link_to 'Error2', error2_posts_path %>
<%= link_to 'Error3', error3_posts_path %>
<hr/>

<% @posts.each do |post| %>
  <h2><%= link_to post.title, post %></h2>
  <%- if post.picture? %>
    <div class="post-image">
      <%= image_tag post.picture_url %>
    </div>
  <% end %>

  <div><%= simple_format post.description %></div>

  <%- if post.author.present? %>
    <p>by <%= post.author %></p>
  <% end %>
  <hr/>
<% end %>

